Bug 1550493 - Advanced Search present in Ansible Tower Providers page
Summary: Advanced Search present in Ansible Tower Providers page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-01 10:12 UTC by Hilda Stastna
Modified: 2019-08-22 00:54 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Advanced Search present in Ansible Tower Providers page (85.44 KB, image/png)
2018-03-01 10:12 UTC, Hilda Stastna
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Hilda Stastna 2018-03-01 10:12:08 UTC
Created attachment 1402398 [details]
Advanced Search present in Ansible Tower Providers page

Description of problem:
There is Advanced Search in Ansible Tower Providers page and it shouldn't be there, it is not supported there.

Version-Release number of selected component (if applicable):
5.9

How reproducible:
100%

Steps to Reproduce:
1. Go to Automation -> Ansible Tower -> Explorer -> Providers accordion

Actual results:
Advanced Search is present in Ansible Tower Providers page, there is a button to open Advanced Search (and to use it) next to Search form, and no Global/My Filters folders are present in accordion.

Expected results:
Advanced Search not present in Ansible Tower Providers page, only Search should remain in the page.

Additional info:
It is possible to use Advanced Search in that page, it works but created filters occur nowhere. Regular Search works fine, it works as expected.

Comment 2 Hilda Stastna 2018-03-01 10:15:33 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/3461

Comment 3 Matouš Mojžíš 2018-09-25 09:10:40 UTC
Verified in 5.10.0.16. Advanced search button is not present on Ansible Tower Explorer page for Providers accordion.

Comment 4 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.